## deepin-screensaver 5.0.5

=== debian/changelog ===
deepin-screensaver (5.0.5-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 11 Mar 2021 14:30:38 +0800

deepin-screensaver (0.0.1-1) unstable; urgency=medium

  * Initial release

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 22 Aug 2017 09:30:02 +0800
