=== customscreensaver/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(customscreensaver LANGUAGES CXX)

# 添加子目录
add_subdirectory(saverpic)
add_subdirectory(deepin-custom-screensaver)
