=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)

project(tools LANGUAGES CXX)

# 添加子目录
add_subdirectory(preview)
