## deepin-screensaver 5.0.10

=== debian/changelog ===
deepin-screensaver (5.0.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 01 Dec 2021 14:55:27 +0800
