=== debian/control ===
Source: deepin-screensaver
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=9), qtbase5-dev, qtdeclarative5-dev, libqt5x11extras5-dev, libx11-dev, libxss-dev, libxext-dev, pkg-config, qml-module-qt-labs-platform
Standards-Version: 3.9.8

Package: deepin-screensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-screensaver-xscreensaver-data
Description: Screensaver Tool
 Deepin screensaver viewer and tools.

Package: deepin-screensaver-xscreensaver-data
Architecture: any
Depends: xscreensaver-data-extra, xscreensaver-gl-extra, qml-module-qt-labs-platform
Description: Screensaver data
 xscreensaver extra with the Deepin Screensaver.
