## deepin-screensaver 5.0.13

=== debian/changelog ===
deepin-screensaver (5.0.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 10 Nov 2022 09:18:40 +0800

deepin-screensaver (5.0.13) stable; urgency=medium

  * update V23 baseline version.

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 10:56:33 +0800
