## deepin-screensaver 5.0.14

=== debian/changelog ===
deepin-screensaver (5.0.14-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 07 Dec 2022 20:18:34 +0800
