## deepin-screensaver 5.0.16

=== debian/changelog ===
deepin-screensaver (5.0.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 11 Apr 2023 15:18:54 +0800

deepin-screensaver (5.0.16) stable; urgency=medium

  * update V23 baseline version.

 -- lvwujun <lvwujun@uniontech.com>  Fri, 13 Jan  2023 16:41:33 +0800
