## deepin-screensaver 5.0.18

=== debian/changelog ===
deepin-screensaver (5.0.18) stable; urgency=medium

  * update version to 5.0.18.

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 30 Aug 2023 15:40:00 +0800
 

deepin-screensaver (5.0.17) stable; urgency=medium

  * update version to 5.0.17.

 -- Zhang Yu <zhangyub@uniontech.com>  Wed, 7 Jun 2023 16:13:00 +0800
 
