=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

%:
	dh $@ 

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(VERSION) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" deepin-screensaver.pro
