## deepin-screensaver 5.0.20

=== debian/changelog ===
deepin-screensaver (5.0.20) unstable; urgency=medium

  * update version to 5.0.20.

 -- Zhanghexian <zhanghexian@uniontech.com>  Mon, 19 Aug 2024 10:37:18 +0800

deepin-screensaver (5.0.19) unstable; urgency=medium

  * update version to 5.0.19.

 -- Zhang Sheng <zhangsheng@uniontech.com>  Tue, 16 Apr 2024 15:43:18 +0800
