=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
-Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libdtkwidget-dev, libx11-dev, libxss-dev, libxext-dev, libdframeworkdbus-dev, pkg-config, qml-module-qt-labs-platform
+Build-Depends: debhelper (>=9), qtbase5-dev, qttools5-dev-tools, qtdeclarative5-dev, libqt5x11extras5-dev, libdtkwidget-dev, deepin-desktop-base, libx11-dev, libxss-dev, libxext-dev, libdframeworkdbus-dev, pkg-config, qml-module-qt-labs-platform
 Standards-Version: 3.9.8
 
 Package: deepin-screensaver
