## deepin-screensaver 6.5.1

=== debian/changelog ===
deepin-screensaver (6.5.1) unstable; urgency=medium

  * chore: switch to qt6 for debian
  * fix: [ui] Solve the scaling problem
  * fix: [ui]adjust layout margin for restore defaults button

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 20:20:11 +0800

deepin-screensaver (6.5.0) unstable; urgency=medium

  * Update version to 6.5.0.
  * Adapt Qt6 build and compatability with Qt5.
  * Fix translatation issues.
  * Support cmake build system.

 -- re2zero <yangwu@uniontech.com>  Mon, 20 Jan 2025 16:30:43 +0800

deepin-screensaver (5.0.21) unstable; urgency=medium

  * fix a bug that os_version error

 -- Zhang Sheng <zhangsheng@uniontech.com>  Thu, 05 Dec 2024 19:20:57 +0800
