## deepin-screensaver 6.5.2

=== debian/changelog ===
deepin-screensaver (6.5.2) unstable; urgency=medium

  * feat: implement automatic DBus property change notifications

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:24:36 +0800
