=== debian/control ===
Source: deepin-screensaver
Section: devel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends: debhelper (>=11),
 cmake,
 qt6-5compat-dev | hello,
 qt6-base-dev | qtbase5-dev,
 qt6-base-private-dev | qtbase5-private-dev,
 qt6-tools-dev-tools | qttools5-dev-tools,
 qt6-declarative-dev | qtdeclarative5-dev,
 qml6-module-qtquick |qml-module-qtquick2,
 libdtk6widget-dev | libdtkwidget-dev,
 libdtk6gui-dev | libdtkgui-dev,
 libdtk6core-dev | libdtkcore-dev,
 deepin-desktop-base,
 libx11-dev,
 libxss-dev,
 libxext-dev,
 pkg-config,
Standards-Version: 3.9.8

Package: deepin-screensaver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, deepin-screensaver-xscreensaver-data
Description: Screensaver Tool
 Deepin screensaver viewer and tools.

Package: deepin-screensaver-xscreensaver-data
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 xscreensaver-data,
 xscreensaver-data-extra,
 xscreensaver-gl-extra,
 qml6-module-qtquick | qml-module-qtquick2,
Description: Screensaver data
 xscreensaver extra with the Deepin Screensaver.
